import prisma from "../client";
import { Result } from "@badrap/result";

export const readMany = async () => {};

export const bookPagesStats = async () => {
  try {
    const stats = await prisma.book.aggregate({
      _sum: {
        pages: true,
      },
    });

    return Result.ok(stats);
  } catch (error) {
    return Result.err(error as Error);
  }
};
