import { Loan, Prisma } from "@prisma/client";
import { AsyncResult } from "../../types";

export type LoanReadResult = AsyncResult<Loan[]>;
export type LoanReadAllParameters = {
  active?: boolean;
  order?: Prisma.SortOrder;
};

export type LoanCreateData = { user: string; book: string };
export type LoanCreateResult = AsyncResult<Loan>;
