import bookRepository from "./repositories/book";
import loanRepository from "./repositories/loan";
import memberRepository from "./repositories/member";

const showcaseRepositories = async () => {
  //   const newMember = await memberRepository.create({
  //     name: "Alice",
  //     email: "alice@mail.com",
  //     joinDate: new Date(),
  //   });

  //   if (newMember.isOk) {
  //     console.log(newMember.value);
  //   }

  const allLoans = await loanRepository.readMany({ order: "asc" });
  if (allLoans.isOk) {
    // should be 10
    console.log(allLoans.value.length);
  }

  const activeLoans = await loanRepository.readMany({ active: true });
  if (activeLoans.isOk) {
    // should be 4
    console.log(activeLoans.value.length);
  }

  const inactiveLoans = await loanRepository.readMany({ active: false });
  if (inactiveLoans.isOk) {
    // should be 6
    console.log(inactiveLoans.value.length);
  }

  //   const newLoan = await loanRepository.create({
  //     user: "alice@mail.com",
  //     book: "The Hobbit",
  //   });
  //   if (newLoan.isOk) {
  //     console.log(newLoan.value);
  //   } else {
  //     console.error(newLoan.error);
  //   }

  const bp = await bookRepository.bookPagesStats();
  if (bp.isOk) {
    console.log(bp.value);
  }
};

showcaseRepositories();
